/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50627
Source Host           : 127.0.0.1:3306
Source Database       : projectartifacture

Target Server Type    : MYSQL
Target Server Version : 50627
File Encoding         : 65001

Date: 2017-12-20 11:39:48
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for s_dept
-- ----------------------------
DROP TABLE IF EXISTS `s_dept`;
CREATE TABLE `s_dept` (
  `BUSINESS_ID` varchar(64) NOT NULL,
  `PARENT_ID` varchar(64) DEFAULT NULL COMMENT '父机构id',
  `NAME` varchar(100) DEFAULT NULL COMMENT '部门名称',
  `DEPT_CODE` varchar(64) DEFAULT NULL COMMENT '部门编号',
  `CREATE_BY` varchar(64) DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime NOT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime NOT NULL COMMENT '修改日期',
  `REMARKS` varchar(255) DEFAULT NULL COMMENT '备注',
  `SEQ_DATE` datetime NOT NULL COMMENT '排序日期',
  `DEL_FLAG` varchar(1) DEFAULT NULL COMMENT '删除标识 1 删除 0 未删除 2 审核',
  `FLAG` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of s_dept
-- ----------------------------

-- ----------------------------
-- Table structure for s_dept_role
-- ----------------------------
DROP TABLE IF EXISTS `s_dept_role`;
CREATE TABLE `s_dept_role` (
  `BUSINESS_ID` varchar(64) NOT NULL,
  `DEPT_ID` varchar(64) NOT NULL COMMENT '部门id',
  `ROLE_ID` varchar(64) NOT NULL COMMENT '角色id',
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of s_dept_role
-- ----------------------------

-- ----------------------------
-- Table structure for s_dept_role_user
-- ----------------------------
DROP TABLE IF EXISTS `s_dept_role_user`;
CREATE TABLE `s_dept_role_user` (
  `BUSINESS_ID` varchar(64) NOT NULL,
  `DEPT_ROLE_ID` varchar(64) NOT NULL COMMENT '角色id',
  `USER_ID` varchar(64) NOT NULL COMMENT '用户id',
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of s_dept_role_user
-- ----------------------------

-- ----------------------------
-- Table structure for s_log
-- ----------------------------
DROP TABLE IF EXISTS `s_log`;
CREATE TABLE `s_log` (
  `BUSINESS_ID` varchar(64) NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `level` varchar(10) DEFAULT NULL,
  `detail` varchar(255) DEFAULT NULL,
  `logDate` datetime DEFAULT NULL,
  `CREATE_BY` varchar(64) DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime NOT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime NOT NULL COMMENT '修改日期',
  `del_flag` varchar(255) DEFAULT NULL,
  `flag` char(1) DEFAULT NULL,
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of s_log
-- ----------------------------

-- ----------------------------
-- Table structure for s_menu
-- ----------------------------
DROP TABLE IF EXISTS `s_menu`;
CREATE TABLE `s_menu` (
  `BUSINESS_ID` varchar(64) NOT NULL COMMENT '业务主键',
  `PARENT_ID` varchar(64) DEFAULT NULL COMMENT '父级菜单',
  `PARENT_IDS` varchar(2000) DEFAULT NULL COMMENT '所有父级菜单',
  `NAME` varchar(100) DEFAULT NULL COMMENT '名称',
  `HREF` varchar(255) DEFAULT NULL COMMENT '链接',
  `TARGET` varchar(20) DEFAULT NULL COMMENT '目标（ mainFrame、_blank、_self、_parent、_top）',
  `ICON` varchar(100) DEFAULT NULL COMMENT '图标',
  `SORT` int(11) DEFAULT NULL COMMENT '排序',
  `IS_SHOW` varchar(1) DEFAULT NULL COMMENT '1 显示  0  不显示',
  `IS_ACTIVITI` varchar(1) DEFAULT NULL COMMENT '1 同步到工作流  0 不同步',
  `PERMISSION` varchar(200) DEFAULT NULL COMMENT '权限',
  `CREATE_BY` varchar(64) DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime NOT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime NOT NULL COMMENT '修改日期',
  `REMARKS` varchar(255) DEFAULT NULL COMMENT '备注',
  `DEL_FLAG` varchar(1) DEFAULT NULL COMMENT '删除标识 1 删除 0 未删除 2 审核',
  `CODE` varchar(255) DEFAULT NULL,
  `FLAG` varchar(1) DEFAULT NULL,
  `MODEL_ID` varchar(64) DEFAULT NULL COMMENT '模型ID',
  `CASE_COUNT` int(10) DEFAULT NULL COMMENT '层级',
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of s_menu
-- ----------------------------

-- ----------------------------
-- Table structure for s_role
-- ----------------------------
DROP TABLE IF EXISTS `s_role`;
CREATE TABLE `s_role` (
  `business_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `role_name` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '角色名称',
  `code` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '权限code',
  PRIMARY KEY (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='权限表';

-- ----------------------------
-- Records of s_role
-- ----------------------------
INSERT INTO `s_role` VALUES ('aaaaaaa', '', '2017-08-01 17:07:53', '', '2017-08-01 17:07:53', '0', '1', '', '管理员', 'ROLE_1001');
INSERT INTO `s_role` VALUES ('bbbbbbbb', '', '2017-08-01 17:07:53', '', '2017-08-01 17:07:53', '0', '1', '', '教师', 'ROLE_1002');
INSERT INTO `s_role` VALUES ('cccccccc', '', '2017-08-01 17:07:53', '', '2017-08-01 17:07:53', '0', '1', '', '学生', 'ROLE_1003');

-- ----------------------------
-- Table structure for s_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `s_role_menu`;
CREATE TABLE `s_role_menu` (
  `BUSINESS_ID` varchar(64) NOT NULL,
  `ROLE_ID` varchar(64) NOT NULL COMMENT '角色id',
  `MENU_ID` varchar(64) NOT NULL COMMENT '菜单id',
  PRIMARY KEY (`BUSINESS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of s_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for s_r_user_role
-- ----------------------------
DROP TABLE IF EXISTS `s_r_user_role`;
CREATE TABLE `s_r_user_role` (
  `business_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '主键',
  `user_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '用户id',
  `role_id` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '角色id',
  PRIMARY KEY (`business_id`),
  KEY `idx_user` (`user_id`),
  KEY `idx_role` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='权限角色关联表';

-- ----------------------------
-- Records of s_r_user_role
-- ----------------------------
INSERT INTO `s_r_user_role` VALUES ('qwqeqweweqezcxzwer', '333e421d32d9425ea99afce95b603902', 'aaaaaaa');

-- ----------------------------
-- Table structure for s_user
-- ----------------------------
DROP TABLE IF EXISTS `s_user`;
CREATE TABLE `s_user` (
  `business_id` varchar(64) NOT NULL COMMENT '主键id',
  `login_name` varchar(64) DEFAULT NULL COMMENT '登录名（code工号/学号）',
  `password` varchar(256) DEFAULT NULL COMMENT '密码',
  `name` varchar(15) DEFAULT NULL COMMENT '姓名',
  `email` varchar(20) DEFAULT NULL COMMENT '邮箱',
  `phone` varchar(11) DEFAULT NULL COMMENT '手机号',
  `sex` varchar(1) DEFAULT '0' COMMENT '性别（0：男，1：女）',
  `login_date` date DEFAULT NULL COMMENT '最后登录日期',
  `remarks` varchar(65) DEFAULT NULL COMMENT '备注',
  `del_flag` varchar(1) DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `flag` varchar(1) DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `create_by` varchar(64) DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) DEFAULT NULL COMMENT '更新者',
  `update_date` datetime DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `head_pic` varchar(256) NOT NULL DEFAULT '' COMMENT '用户头像',
  `git_lab_id` varchar(32) DEFAULT NULL COMMENT 'gitlab账户id',
  `git_lab_username` varchar(32) DEFAULT NULL COMMENT 'gitlab账户姓名',
  `git_lab_impression_token` varchar(32) DEFAULT NULL COMMENT 'gitlab账户模拟令牌',
  PRIMARY KEY (`business_id`),
  KEY `login_name` (`login_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of s_user
-- ----------------------------
INSERT INTO `s_user` VALUES ('333e421d32d9425ea99afce95b603902', 'admin', '$2a$10$JXHWa.lciqvKRaTyK4qTr.ctD9oSWHt4l3YqXadvfktwnHwvFOQ.i', '张建军', 'aaaaa@qq.com', null, '0', null, null, '0', '1', null, null, '2017-07-18 14:09:08', '2017-07-18 14:09:08', '/default/teacher.png', null, null, null);
