package org.rcisoft.common.component;

import com.google.common.collect.Maps;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Map;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/2
 * Time: 下午3:50
 * description: global config
 */
@Component
@Data
public class Global implements Serializable{


    private static final long serialVersionUID = -7950787304594954554L;
    /**
     * 保存全局属性值
     */
    static Map<String, String> map = Maps.newHashMap();

    /*视频路径*/
    @Value("${global.path.video_location}")
    private String VIDEO_LOCATION;

    /*旧视频路径*/
    @Value("${global.path.temp_location}")
    private String TEMP_LOCATION;

    /*附件路径*/
    @Value("${global.path.file_location}")
    private String FILE_LOCATION;

    /*图片路径*/
    @Value("${global.path.images_location}")
    private String IMAGES_LOCATION;

    /*登录验证秘钥*/
    @Value("${global.other.login_secert_key}")
    private String LOGIN_SECERT_KEY;
    
    @Value("${jwt.header}")
    private String JWT_HEADER;
    
    @Value("${jwt.tokenHead}")
    private String JWT_TOKEN_HEAD;

    /*gitlab管理员秘钥*/
    @Value("${global.other.session_admin_header_value}")
    private String SESSION_ADMIN_HEADER_VALUE;

    /*password最小长度*/
    @Value("${global.password.min_password}")
    private String PASSWORD_MIN_PASSWORD;

    /*password最大长度*/
    @Value("${global.password.max_password}")
    private String PASSWORD_MAX_PASSWORD;

    /*管理员Code*/
    @Value("${global.code.admin}")
    private String adminCode;

    /*教师Code*/
    @Value("${global.code.teacher}")
    private String teacherCode;

    /*学生Code*/
    @Value("${global.code.student}")
    private String studentCode;


    @Value("${global.path.base_upload_location}")
    private String baseUploadLocation;


    @Value("${global.path.code_generate_location}")
    private String codeGenerateLocation;


}
