package org.rcisoft.core.aop;

import org.apache.commons.lang3.StringUtils;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Before;
import org.rcisoft.core.entity.IdEntity;
import org.rcisoft.core.util.IdGen;

import java.util.Date;

/**
 * Created by lcy on 17/11/23.
 */
//@Aspect
//@Component
public class IdGenAspect {
    /**
     * 插入前  判断是否 存在id
     * @param joinPoint
     */
    @Before("execution(* org.rcisoft..*.dao.*Mapper.insert*(..))")
    public void beforeInsert(JoinPoint joinPoint){
        Object model = joinPoint.getArgs()[0];
        if(model instanceof IdEntity) {
            IdEntity idEntity = (IdEntity) model;
            /*id null*/
            if(StringUtils.isBlank(idEntity.getBusinessId()))
                idEntity.setBusinessId(IdGen.uuid());
            /*create date is null*/
            if(null == idEntity.getCreateDate())
                idEntity.setCreateDate(new Date());
        }
    }
}
