package org.rcisoft.core.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.util.IdGen;

import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/2
 * Time: 上午9:15
 * description: id entity
 */
@NoArgsConstructor
@AllArgsConstructor
@MappedSuperclass
@Data
public abstract class IdEntity<T> extends DataEntity<T>  implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    protected String businessId;		// 编号


    protected String token;

    /**
     * 通用设置ID
     */
    public void setCommonBusinessId(){
        this.setBusinessId(IdGen.uuid());
    }
}