package org.rcisoft.core.exception;


import org.rcisoft.core.result.ResultExceptionEnum;
import org.rcisoft.core.result.ResultServiceEnums;

/**
 * Created by lcy on 17/11/24.
 */
public class ServiceException extends RuntimeException {
    private static final long serialVersionUID = 3729706443523052156L;

    Integer code;

    public ServiceException() {
    }

    public ServiceException(ResultExceptionEnum resultEnum){
        super(resultEnum.getMessage());
        code = resultEnum.getCode();
    }

    public ServiceException(ResultServiceEnums resultEnums) {
        super(resultEnums.getMessage());
        this.code = resultEnums.getCode();
    }

    public ServiceException(String message) {
        super(message);
    }

    public ServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    public ServiceException(Integer code, String message) {
        super(message);
        this.code = code;
    }
}
