package org.rcisoft.sys.dept.service;



import org.rcisoft.common.model.TreeViewModel;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.sys.dept.entity.SysDept;

import java.util.List;

/**
 * Created by lcy on 16/7/30.
 */
public interface SysDeptService {
    /**
     * 查询 dept 根据树
     * @return
     */
    public List<TreeViewModel> queryDeptTree();
    
    /**
     * 查询部门树，根据role填上和角色绑定的部门
     * @param id
     * @return
     */
    public List<TreeViewModel> queryDeptsTreeByRoleId(String id);
    


    /**
     * 保存部门
     * @param dept
     * @return
     */
    PersistModel persistDept(SysDept dept, String token);

    /**
     * 修改部门
     * @param dept
     * @return
     */
    PersistModel mergeDept(SysDept dept, String token);

    /**
     * 删除部门
     * @param id
     * @return
     */
    PersistModel removeDept(String id, String token);
    
    /**
     * 查询所有部门
     * @MethodName:querySelect
     * @author: 张雪峰
     * @email: 734126206@qq.com 
     * @date 2016年11月24日 下午4:46:34
     * @version V1.0
     * @return
     */
    public List<SysDept> querySelect();
    
}
