package org.rcisoft.sys.menu.entity;



import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/2
 * Time: 上午9:39
 * description: menu
 */
@Entity
@Table(name = "sys_menu")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysMenu extends IdEntity<SysMenu> {
    private static final long serialVersionUID = 1L;
    @Transient
    private SysMenu parent;	// 父级菜单
    private String parentIds; // 所有父级编号
    private String name; 	// 名称
    private String href; 	// 链接
    private String target; 	// 目标（ mainFrame、_blank、_self、_parent、_top）
    private String icon; 	// 图标
    private Integer sort; 	// 排序
    private String isShow; 	// 是否在菜单中显示（1：显示；0：不显示）
    private String isActiviti; 	// 是否同步到工作流（1：同步；0：不同步）
    private String permission; // 权限标识
    private String parentId;   //parent id
    private String code;       //菜单编号
    private String modelId;     //model ID  in sys_model


    @Transient
    private String checked;     // 根据权限 是否被选中

}
