package org.rcisoft.sys.user.dao;


import org.apache.ibatis.annotations.*;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.sys.user.entity.SysUser;
import org.rcisoft.sys.user.entity.UserRole;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lcy on 17/8/9.
 */
public interface SysUserMapper extends BaseMapper<SysUser> {


    @Select("<script>select * from s_user where login_name = #{username}</script>")
    @ResultMap(value = "BaseResultMap")
    List<SysUser> queryUserByName(String username);

    @Insert("<script>INSERT INTO s_user" +
            "(create_date,update_date,create_by,update_by,remarks,del_flag,flag,business_id,login_name,password,name,sex,git_lab_id,git_lab_username,git_lab_impression_token,head_pic,email)VALUES" +
            "<foreach collection=\"list\" item=\"item\" separator=\",\">" +
            "( #{item.createDate},#{item.updateDate},#{item.createBy},#{item.updateBy},#{item.remarks},#{item.delFlag},#{item.flag},#{item.businessId},#{item.loginName},#{item.password},#{item.name},#{item.sex},#{item.gitLabId},#{item.gitLabUsername},#{item.gitLabImpressionToken},#{item.headPic},#{item.email})" +
            "</foreach></script>")
    int insertList(List<SysUser> users);

    @Insert("<script>INSERT INTO s_r_user_role" +
            "(business_id,user_id,role_id)VALUES" +
            "<foreach collection=\"list\" item=\"item\" separator=\",\">" +
            "(#{item.businessId},#{item.userId},#{item.roleId})" +
            "</foreach></script>")
    int insertUserRoleList(List<UserRole> users);

    @Insert("INSERT INTO s_r_user_role"+
            "(business_id,user_id,role_id)VALUES" +
            "(#{businessId},#{userId},#{roleId})")
    int insertUserRole(UserRole userRole);

    @Select("SELECT u.business_id from s_user u left join ${tab} s on u.login_name = s.code where s.business_id = #{id}")
    String selectUserIdByStuOrTeaId(@Param("id") String id, @Param("tab") String table);

    @Delete("delete from s_user where login_name = #{code}")
    int deleteByCode(String code);
}
